import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockTimeline from './block-timeline';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['timeline'],
};

<Meta title="Timeline" component={BlockTimeline} argTypes={addControls(argTypes, controls)} />

# Timeline

This module is used on the about page.

It is used to show a timeline of Molekule's story.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockTimeline },
		template: '<block-timeline v-bind="$props" />',
	};
};

export const timeline = [
	{
		image_mobile: {},
		image: {
			url:
				'https://images.prismic.io/molekule/aa78a0683779ab9369c40a1cb181ba2e7be8766e_timeline-1.jpg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 630,
			height: 630,
		},
		year: '1995-2005',
		heading: 'A scientist’s desire to help his son.',
		description:
			'<p>As a professor at the University of Florida, Dr. Yogi Goswami develops a new clean air technology, photo electrochemical oxidation (PECO), to try to address the adverse impacts of polluted air.</p>',
	},
	{
		image_mobile: {},
		image: {
			url:
				'https://images.prismic.io/molekule/2c3e291d3b64915ed9c414c1bd8f143de30b1f80_timeline-2.jpg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 630,
			height: 630,
		},
		year: '2006-2015',
		heading: 'Putting PECO to the test.',
		description:
			'<p>PECO technology undergoes rigorous testing at the University of Florida and University of South Florida to measure the destruction of various pollutants. As a professor at these institutions, Dr. Goswami publishes over 23 reports on his findings.</p><p><a  href="https://molekule.cdn.prismic.io/molekule%2F1d7fbe35-f4cc-4612-a136-43e068085262_molekule%2Bwhite%2Bpaper%2B-%2Bpeco.pdf">PECO Technology White Paper &gt;</a> <br /><a  href="https://molekule.cdn.prismic.io/molekule%2F0111b44e-2bfa-4aa5-a2b0-828da3e04122_ozone.pdf">Ozone Emission Test Report &gt;</a><br /><a  href="https://molekule.cdn.prismic.io/molekule%2F1d361be6-700b-4d77-ba73-9baf75453e2f_vocs.pdf">VOC Mixture Destruction Test Report &gt;</a></p>',
	},
	{
		image_mobile: {},
		image: {
			url:
				'https://images.prismic.io/molekule/353677f2b35b80982cf763347f212a413c7be1b7_timeline-3.jpg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 630,
			height: 630,
		},
		year: '2016',
		heading: 'Launching Molekule.',
		description:
			'<p>Dr. Goswami’s mission is carried on by his children, Dilip and Jaya, and Molekule is born. Molekule Air, the first air purifier to destroy pollutants at a molecular level, sees major success across the US, earning awards and acclaim for helping people transform their lives. </p>',
	},
	{
		image_mobile: {},
		image: {
			url:
				'https://images.prismic.io/molekule/535f18e723214c46d359d19c8b0a312db8a7918a_timeline-4.jpg?auto=compress,format',
			alt: null,
			copyright: null,
			width: 630,
			height: 630,
		},
		year: '2018',
		heading: 'Technology',
		description:
			'<p>Molekule makes further strides in investigating the potential of PECO technology. </p><p><a  href="https://molekule.com/papers">See White Papers &amp; Technology Reports</a></p>',
	},
	{
		image_mobile: {},
		image: {
			url:
				'https://images.prismic.io/molekule/4d0bcddceabfff80a32e2dc1b733324d46215f04_molekule-productssm.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 2800,
			height: 2800,
		},
		year: '2019',
		heading: 'PECO for every room in any home.',
		description:
			'<p>Molekule Air Mini arrives: powerful purification for smaller rooms under 250 sq. ft. With the same breakthrough PECO technology as Molekule Air, Air Mini works standalone in small spaces or in tandem with Air to bring pollutant destruction to the entire home.</p><p><a  href="/air-purifier-mini">Meet Air Mini &gt;</a></p>',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			id: 'timeline',
			heading: 'The Molekule story.',
			timeline: camelize(timeline),
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockTimeline} />
